microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Download a session file
GET
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content
Downloads the file at the specified sandbox path as a binary stream. The path is resolved relative to the session home directory.
Path parameters
agent_name
string
required
The name of the agent.
agent_session_id
string
required
The session ID.
Query parameters
path
string
required
The file path to download from the sandbox, relative to the session home directory.
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
Content-Type: application/octet-stream
Request
GET /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content HTTP/1.1
Response
Status: 200
Content-Type: application/octet-stream
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json